<?php

declare(strict_types=1);

namespace Drupal\ip_info\Services;

/**
 * Interface for the IP Info services.
 */
interface IpInfoInterface {

  /**
   * Gets the IP information from the API.
   *
   * @param string $ip
   *   The IP address to get information for.
   * @param string $url
   *   The URL to get information from.
   * @param string $api_name
   *   The name of the API.
   *
   * @return array|null
   *   An associative array of IP information, or NULL if an error occurred.
   */
  public function getIpInformation(string $ip, string $url, string $api_name): ?array;

}
